PULSAR
API ReferenceWork Orders

get work-orders.

Get Work-Orders, Will return max of 1000 records if pagination is not used., Supports two views summary (code, name, id), detail (also includes produced qty skus and machines).

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

id?array<string>
  • work-order id array
code?array<string>
  • work-order code array, when its length is 1 filter will use substring and is case sensitive, when length >1 will use IN operator.
name?array<string>
  • work-order name array, when its length is 1 filter will use substring and is case sensitive, when length >1 will use IN operator.
status?array<>
  • work-order status array
start?string
  • start date
Formatdate-time
end?string
  • end date
Formatdate-time
priorities?array<>
  • work-order priority array
page?number
  • page number, starts at 0.
Formatdouble
Default1
pageSize?number
  • page size, default is 1000.
Formatdouble
Default1000
machines?array<>
  • machine id array
view?string
  • enum: summary or detail
Default"detail"

Value in

  • "summary"
  • "detail"
  • "detailWithTotalItems"
  • "summaryWithTotalItems"
includeNoMachine?boolean
  • boolean, if true will include work-orders without machines.
Defaultfalse

Response Body

application/json

Try it live
GET
/work-orders

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/work-orders"
[  {    "machines": [      {        "machine": {          "title": "string",          "ref": "string",          "id": 0.1        },        "workOrderId": "string",        "id": "string"      }    ],    "targets": [      {        "sku": {          "updatedAt": "2019-08-24T14:15:22Z",          "produced": 0.1,          "target": 0.1,          "quantity": 0.1,          "unit": "string",          "name": "string",          "sku": "string",          "id": "string"        },        "workOrderId": "string",        "id": "string"      }    ],    "defects": 0.1,    "produced": 0.1,    "estimatedDeliveryTime": "2019-08-24T14:15:22Z",    "status": "Backlog",    "code": "string",    "name": "string",    "id": "string"  }]